| Home | Libraries | People | FAQ | More

###### array::operator= (3 of 3 overloads)

Assignment.

###### Synopsis

    array&
    operator=(
        std::initializer_list< value_ref > init);

###### Description

The contents of the array are replaced with a copy of the values in the initializer-list.

###### Complexity

Linear in `this->size()` plus `init.size()`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`init` | The initializer list to copy.